# Generated by Django 1.9.13 on 2018-11-22 03:14
import os

import django.db.models.deletion
from django.db import (
    migrations,
    models,
)

from edulib.core.base.migrations import (
    CorrectSequence,
    LoadFixture,
)


APP_DIR = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
initial_fixture = os.path.join(APP_DIR, 'fixtures', 'bbc.json')


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Catalog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True,
                                        serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True,
                                                 verbose_name='Дата создания')
                 ),
                ('modified', models.DateTimeField(
                    auto_now=True, null=True, verbose_name='Дата изменения')),
                ('code', models.CharField(db_index=True, max_length=20,
                                          verbose_name='Код')),
                ('name', models.CharField(db_index=True, max_length=200,
                                          verbose_name='Наименование')),
                ('lft', models.PositiveIntegerField(
                    db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(
                    db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(
                    db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(
                    db_index=True, editable=False)),
                ('parent', models.ForeignKey(
                    blank=True, null=True,
                    on_delete=django.db.models.deletion.CASCADE,
                    to='directory.Catalog')
                 ),
            ],
            options={
                'db_table': 'library_catalog',
                'verbose_name': 'Библиотечно-библиографическая классификация',
                'verbose_name_plural': ('Библиотечно-библиографическая '
                                        'классификация'),
            },
        ),
        LoadFixture(initial_fixture),
        CorrectSequence('Catalog'),
    ]
