# Generated by Django 1.11.29 on 2020-07-15 11:12
from django.db import (
    migrations,
)


def get_sql():
    """
    Получить текст запроса

    :return:
    :rtype:
    """
    sql_text = """
        update
          library_passport
        set
          f_address_house_guid = x.school_house_guid
        from
          (
            select
              library_passport.id as library_id
              , school.f_address_house_guid as school_house_guid
            from
              library_passport
              inner join school
                on library_passport.school_id = school.id
            where
              (
                library_passport.f_address_place
                , library_passport.f_address_street
                , library_passport.f_address_house
                , library_passport.f_address_corps
              ) is not distinct from (
                school.f_address
                , school.f_address_street
                , school.f_address_house
                , school.f_address_corps
              )
              and (library_passport.f_address_house_guid
                   is distinct from school.f_address_house_guid)
          ) x
        where
          id = x.library_id
    """

    return sql_text


class Migration(migrations.Migration):
    """
    Обновление f_address_house_guid для записей, где было указано,
    что адрес библиотеки совпадает с адресом ОО,
    но из-за ошибки в JS-коде копирования
    school.f_address_house_guid в library_passport.f_address_house_guid
    не происходило
    """
    dependencies = [
        ('lib_passport', '0003_auto_20180420_0941'),
    ]

    operations = [
        # Миграция считается пройденной в ЭШ и не должна выполняться на чистой БД.
        #
        # migrations.RunSQL(
        #     get_sql(),
        #     migrations.RunSQL.noop
        # )
    ]
