# Generated by Django 2.2.28 on 2023-07-18 13:57

from django.db import (
    migrations,
)
from django.db.models import (
    Exists,
    OuterRef,
)


def set_null_office_id(apps, schema_editor):
    """Функция для выставления null в поле office_id.

    Если не существует Office с идентификатором office_id в школе school_id,
    то полю office_id присваивается null.
    """
    LibPassport = apps.get_model('lib_passport', 'LibPassport')  # noqa: N806
    Office = apps.get_model('office', 'Office')  # noqa: N806

    LibPassport.objects.filter(
        office_id__isnull=False
    ).annotate(
        office_exists=Exists(
            Office.objects.filter(
                id=OuterRef('office_id'),
                school_id=OuterRef('school_id')
            )
        )
    ).filter(
        office_exists=False
    ).update(office_id=None)


class Migration(migrations.Migration):
    """Выставление null в поле office_id, если не существует такого Office в указанной школе."""

    dependencies = [
        ('lib_passport', '0011_auto_20230706_0908'),
    ]

    operations = [
        # Миграция считается пройденной в ЭШ и не должна выполняться на чистой БД.
        #
        # migrations.RunPython(set_null_office_id, migrations.RunPython.noop),
    ]
