# Generated by Django 1.11.18 on 2019-03-13 10:00
from django.db import (
    migrations,
)


def fill_publishings_names(apps, schema_editor):
    """Заполняет справочник Издательства."""
    LibRegistryExample = apps.get_model('lib_registry', 'LibRegistryExample')
    LibraryPublishings = apps.get_model(
        'lib_publishings', 'LibraryPublishings')
    pub_offices = LibRegistryExample.objects.all().distinct().values_list(
        'pub_office', flat=True
    )
    for pub_office in pub_offices:
        publish = LibraryPublishings.objects.create(name=pub_office)
        LibRegistryExample.objects.filter(pub_office=pub_office).update(
            publishing=publish)

def clear_publishings_names(apps, schema_editor):
    """Очищает справочник Издательства."""
    LibRegistryExample = apps.get_model('lib_registry', 'LibRegistryExample')
    LibraryPublishings = apps.get_model(
        'lib_publishings', 'LibraryPublishings')
    # Отвяжем сначала справочник издательств от экземпляров библиотеки
    LibRegistryExample.objects.all().update(publishing=None)
    LibraryPublishings.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('lib_publishings', '0001_initial'),
        ('lib_registry', '0014_libregistryexample_publishing'),
    ]

    operations = [
        migrations.RunPython(fill_publishings_names, clear_publishings_names),
    ]
