# Generated by Django 1.11.20 on 2019-03-20 16:17
from django.db import (
    migrations,
)


def fill_libsummarybook(apps, schema_editor):
    """Заполняет поступления в книге суммарного учёта."""
    LibRegistryExample = apps.get_model('lib_registry', 'LibRegistryExample')
    LibSummaryBook = apps.get_model('lib_registry', 'LibSummaryBook')
    LibSummaryBookTypes = apps.get_model('lib_registry', 'LibSummaryBookTypes')
    LibSummaryBookCatalog = apps.get_model(
        'lib_registry',
        'LibSummaryBookCatalog'
    )
    School = apps.get_model('school', 'School')
    examples = LibRegistryExample.objects.all().values_list(
        'inflow_date',
        'lib_reg_entry__school_id',
        'lib_reg_entry__source_id',
    ).order_by('inflow_date').distinct()
    total, cnt = examples.count(), 1
    for inflow_date, school_id, source_id in examples:
        # В LibRegistryEntry school_id определено как IntegerField,
        # поэтому проверим, существует ли учреждение:
        schools = School.objects.filter(id=school_id).values_list(
            'id', flat=True
        )
        if schools.exists():
            lsb = LibSummaryBook.objects.create(
                record_date=inflow_date,
                school_id=schools[0],
                source_id=source_id,
            )
        cnt += 1
        if not cnt % 100:
            print(('%s / %s' % (cnt, total)))
    if total:
        print(('%s / %s' % (total, total)))


def clear_libsummarybook(apps, schema_editor):
    """Удаляет поступления из книги суммарного учёта."""
    apps.get_model(
        'lib_registry', 'LibSummaryBookCatalog'
    ).objects.all().delete()
    apps.get_model(
        'lib_registry', 'LibSummaryBookTypes'
    ).objects.all().delete()
    apps.get_model('lib_registry', 'LibSummaryBook').objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('lib_registry', '0016_libsummarybook'),
    ]

    operations = [
        # Миграция считается пройденной в ЭШ и не должна выполняться на чистой БД.
        #
        # migrations.RunPython(fill_libsummarybook, clear_libsummarybook),
    ]
