"""Миграции."""
# Generated by Django 1.11.29 on 2021-01-11 13:21
from django.db import (
    migrations,
)


def lsb_init_for_calculate(apps, schema_editor):
    """Начальное заполнение признаков расчитанных КСУ."""
    LibSummaryBook = apps.get_model(  # noqa: N806
        'lib_registry', 'LibSummaryBook')
    LibSummaryBookCalculated = apps.get_model(  # noqa: N806
        'lib_registry', 'LibSummaryBookCalculated')
    # Для всех школ, в которых определены КСУ, поставим признак
    # отсутствия расчётов КСУ
    for school_id in (
        LibSummaryBook.objects.values_list('school_id', flat=True).distinct()
    ):
        lsb = LibSummaryBookCalculated.objects.filter(
            school_id=school_id
        ).first()
        # Если записи для школы ещё нет, создадим её
        if not lsb:
            lsb = LibSummaryBookCalculated(
                school_id=school_id,
                calculated=False,
                note=''
            )
            lsb.save()


class Migration(migrations.Migration):
    """Миграция."""

    dependencies = [
        ('lib_registry', '0028_libsummarybook_calculated'),
    ]

    operations = [
        # Миграция считается пройденной в ЭШ и не должна выполняться на чистой БД.
        #
        # migrations.RunPython(
        #     lsb_init_for_calculate,
        #     reverse_code=migrations.RunPython.noop
        # ),
    ]
