# Generated by Django 1.11.29 on 2022-07-04 20:08
# flake8: noqa
import django.db.models.deletion
from django.db import (
    migrations,
    models,
)

from edulib.core.lib_registry.helpers import (
    calc_writeoff_reasons,
)


def fill_libsummarybook_disp_writeoff_reasons(apps, schema_editor):
    """Заполняет распределение списаний по причинам списания в КСУ."""
    for lib_summary_disp in apps.get_model(
        'lib_registry', 'LibSummaryBookDisposal'
    ).objects.all():
        calc_writeoff_reasons(lib_summary_disp)


def clear_libsummarybook_disp_writeoff_reasons(apps, schema_editor):
    """Удаляет распределение списаний по причинам списания в КСУ."""
    apps.get_model(
        'lib_registry', 'LibSummaryBookDisposalWriteoffReasons'
    ).objects.all().delete()


class Migration(migrations.Migration):
    """Добавляет модель, хранящую кол-во экзепляров по причинам списания."""

    dependencies = [
        ('lib_registry', '0032_load_product_marks'),
    ]

    operations = [
        migrations.CreateModel(
            name='LibSummaryBookDisposalWriteoffReasons',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True,
                                        serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(
                    auto_now_add=True, null=True,
                    verbose_name='Дата создания')),
                ('modified', models.DateTimeField(
                    auto_now=True, null=True, verbose_name='Дата изменения')),
                ('writeoff_reason', models.SmallIntegerField(
                    choices=[(1, 'Устарелость по содержанию'), (2, 'Утрата'),
                             (3, 'Ветхость'), (4, 'Дефектность'),
                             (5, 'Непрофильность')],
                    verbose_name='Причина списания')),
                ('books_count', models.IntegerField(
                    default=0, verbose_name='Количество')),
                ('lib_summary_book', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    to='lib_registry.LibSummaryBookDisposal',
                    verbose_name='КСУ')),
            ],
            options={
                'verbose_name': 'Кол-во выбывших документов '
                                'по причинам списания в КСУ',
                'verbose_name_plural': 'Кол-во выбывших документов '
                                       'по причинам списания в КСУ',
                'db_table': 'lib_summary_book_disp_writeoff_reasons',
            },
        ),
        migrations.AlterUniqueTogether(
            name='libsummarybookdisposalwriteoffreasons',
            unique_together=set([('lib_summary_book', 'writeoff_reason')]),
        ),
        migrations.RunPython(fill_libsummarybook_disp_writeoff_reasons,
                             clear_libsummarybook_disp_writeoff_reasons),
    ]
