# Generated by Django 1.9.1 on 2016-09-28 09:49
from django.db import (
    migrations,
)


def forwards(apps, schema_editor):

    def get_reader_schoolchild(reader):
        SchoolChild = apps.get_model('schoolchild', 'SchoolChild')
        return SchoolChild.objects.filter(id=reader.schoolchild_id).first()

    def get_reader_teacher(reader):
        Teacher = apps.get_model('teacher', 'Teacher')
        return Teacher.objects.filter(id=reader.teacher_id).first()

    def get_reader_school(reader):
        reader_schoolchild = get_reader_schoolchild(reader)
        reader_teacher = get_reader_teacher(reader)
        if reader.schoolchild_id and reader_schoolchild:
            school = reader_schoolchild.school
        elif reader.teacher_id and reader_teacher:
            school = reader_teacher.school
        else:
            school = None
        return school

    Reader = apps.get_model('readers', 'Reader')
    for reader in Reader.objects.all():
        school = get_reader_school(reader)
        if school:
            reader.school_id = school.id
            reader.save()


class Migration(migrations.Migration):

    dependencies = [
        ('readers', '0002_auto_20160918_1501'),
    ]

    operations = [
        migrations.RunPython(forwards, lambda *args, **kwargs: None)
    ]
